Mailrelay API Reference

Lists unsubscribe events

GET https://{account}/api/v1/unsubscribe_events

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Lists unsubscribe events.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 1000.

Parameters

NameTypeRequiredDescription
page integer No Page number
per_page integer No Number of records per page
q[id_eq] integer No Search: ID equals
q[id_gteq] integer No Search: ID greater than or equal to
q[id_lteq] integer No Search: ID less than or equal to
q[source_eq] string No Search: Source equals
q[source_cont] string No Search: Source contains
q[sent_email_id_eq] integer No Search: Sent email equals
q[sent_email_id_gteq] integer No Search: Sent email greater than or equal to
q[sent_email_id_lteq] integer No Search: Sent email less than or equal to
q[ip_eq] string No Search: IP equals
q[ip_cont] string No Search: IP contains
q[reason_eq] string No Search: Reason equals
q[reason_cont] string No Search: Reason contains
q[description_eq] string No Search: Description equals
q[description_cont] string No Search: Description contains
q[s] string No Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "id desc"

Responses

StatusDescription
200 Success
400 The request is invalid. Check the query parameters, including that per_page isn't above the maximum allowed for this resource.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
sent_email_id integer Sent email
source string Source
ip string IP
email string Email
reason string Reason
description string Description
created_at string Created at

Response headers

NameTypeDescription
Per-Page integer Number of records returned per page.
Total integer Total number of records matching the request, ignoring pagination.
Link string RFC 5988 links to the first, prev, next and last pages. Only the applicable relations are included.